// Copyright © 2022 Nevis Security AG. All rights reserved.

import 'common_test_data.dart';
import 'device_information_test_data.dart';
import 'pin_policy_test_data.dart';

class AuthCloudApiRegistrationTestData {
  static String enrollResponse = 'enrollResponse';

  static final correctArguments = {
    'operationId': CommonTestData.operationId,
    'enrollResponse': enrollResponse,
    'deviceInformation': DeviceInformationTestData.deviceInformationMap,
    'pinPolicy': PinPolicyTestData.pinPolicyMap
  };

  static final errorMap = {
    'type': 'decryptionError',
    'data': {
      'description': 'error',
    },
  };
}
